Pistis
API referenceSessions

Find repositories you may use

GET
/repos

Repositories you may start a session on (meta.repo), matching q anywhere in the path, the exact name first; without q, the ones you used last first. A page at a time.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Query Parameters

q?string

Part of the path

limit?integer
Range1 <= value <= 100
cursor?string

The next of the previous page

Response Body

Matching repositories

application/json
  1. response
items*array<>
next?string

Pass as cursor for the next page

Example Request
curl -X GET 'http://127.0.0.1:7777/repos?q=api&limit=20'
Example Response
{  "items": [    {      "repo": "string",      "connection": "string",      "path": "string",      "label": "string",      "defaultBranch": "string",      "private": true,      "webUrl": "string"    }  ],  "next": "string"}